Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ow2.jasmine.vmm.api
Interface NotificationTypes

    public interface NotificationTypes

Notification types that can be emitted by VMM MXBeans

Field Summary
`static java.lang.String` | `DOMAIN_ERROR` Emitted when an error occurs during an addition of domain
`static java.lang.String` | `DOMAIN_INVENTORY_ADD` Emitted by a DomainMXBean when a new domain is created The user data of the notification is the object name of the newly created domain
`static java.lang.String` | `DOMAIN_INVENTORY_DEL` Emitted by a DomainMXBean when a server has been deleted The user data of the notification is the object name of the deleted domain
`static java.lang.String` | `ERROR` Emitted when an error occurs during an asynchronous operation
`static java.lang.String` | `HOST_ERROR` Emitted when an error occurs during an addition of host
`static java.lang.String` | `HOST_INVENTORY_ADD` Emitted by a ServerPoolMXBean when a new host is created The user data of the notification is the object name of the newly created host
`static java.lang.String` | `HOST_INVENTORY_DEL` Emitted by a ServerPoolMXBean when a host has been deleted The user data of the notification is the object name of the deleted host
`static java.lang.String` | `HOST_STATE_CHANGE` Emitted by a HostMXBean when the state of the host changes The notification message has one of the following values: RUNNING HALTED UNKNOWN
`static java.lang.String` | `HYPERVISOR_CONNECTION_STATE` Emitted by a HostMXBean when the state of the driver-specific connection to the hypervisor changes
`static java.lang.String` | `LOG` For debugging purposes only
`static java.lang.String` | `PERF_REPORT` Emitted by a HostMXBean to report performance metrics
`static java.lang.String` | `SERVER_POOL_ERROR` Emitted when an error occurs during an addition of server
`static java.lang.String` | `SERVER_POOL_INVENTORY_ADD` Emitted by a DomainMXBean when a new server is created The user data of the notification is the object name of the newly created server
`static java.lang.String` | `SERVER_POOL_INVENTORY_DEL` Emitted by a DomainMXBean when a server has been deleted The user data of the notification is the object name of the deleted server
`static java.lang.String` | `VM_ADD` Emitted by a HostMXBean when a new VM is created The user data of the notification is the object name of the newly created virtual machine
`static java.lang.String` | `VM_DEL` Emitted by a HostMXBean when a VM has been destroyed The user data of the notification is the object name of the destroyed virtual machine.
`static java.lang.String` | `VM_INVENTORY_DEL` Emitted by a HostMXBean when a VM has been deleted The user data of the notification is the object name of the deleted virtual machine.
`static java.lang.String` | `VM_MIGRATION` Emitted by a a VirtualMachineMXBean after a successful migration The notification message is set to the host name of the new host of the virtual machine.
`static java.lang.String` | `VM_MIGRATION_ABORT` Emitted by a a VirtualMachineMXBean when a migration has failed The notification message is set to the host name of the target host of the migration
`static java.lang.String` | `VM_MIGRATION_START` Emitted by a a VirtualMachineMXBean when a migration is started The notification message is set to the host name of the target host to where the virtual machine is migrating
`static java.lang.String` | `VM_STATE_CHANGE` Emitted by a VirtualMachineMXBean when the state of the VM changes The notification message has one of the following values: RUNNING HALTED SUSPENDED PAUSED UNKNOWN

Field Detail

### DOMAIN_INVENTORY_ADD

    static final java.lang.String DOMAIN_INVENTORY_ADD

  Emitted by a DomainMXBean when a new domain is created The user data of the notification is the object name of the newly created domain

  See Also:
    Constant Field Values

### DOMAIN_INVENTORY_DEL

    static final java.lang.String DOMAIN_INVENTORY_DEL

  Emitted by a DomainMXBean when a server has been deleted The user data of the notification is the object name of the deleted domain

  See Also:
    Constant Field Values

### DOMAIN_ERROR

    static final java.lang.String DOMAIN_ERROR

  Emitted when an error occurs during an addition of domain

  See Also:
    Constant Field Values

### SERVER_POOL_INVENTORY_ADD

    static final java.lang.String SERVER_POOL_INVENTORY_ADD

  Emitted by a DomainMXBean when a new server is created The user data of the notification is the object name of the newly created server

  See Also:
    Constant Field Values

### SERVER_POOL_INVENTORY_DEL

    static final java.lang.String SERVER_POOL_INVENTORY_DEL

  Emitted by a DomainMXBean when a server has been deleted The user data of the notification is the object name of the deleted server

  See Also:
    Constant Field Values

### SERVER_POOL_ERROR

    static final java.lang.String SERVER_POOL_ERROR

  Emitted when an error occurs during an addition of server

  See Also:
    Constant Field Values

### HOST_INVENTORY_ADD

    static final java.lang.String HOST_INVENTORY_ADD

  Emitted by a ServerPoolMXBean when a new host is created The user data of the notification is the object name of the newly created host

  See Also:
    Constant Field Values

### HOST_INVENTORY_DEL

    static final java.lang.String HOST_INVENTORY_DEL

  Emitted by a ServerPoolMXBean when a host has been deleted The user data of the notification is the object name of the deleted host

  See Also:
    Constant Field Values

### HOST_STATE_CHANGE

    static final java.lang.String HOST_STATE_CHANGE

  Emitted by a HostMXBean when the state of the host changes The notification message has one of the following values:
  - RUNNING
  - HALTED
  - UNKNOWN

  See Also:
    Constant Field Values

### HOST_ERROR

    static final java.lang.String HOST_ERROR

  Emitted when an error occurs during an addition of host

  See Also:
    Constant Field Values

### VM_ADD

    static final java.lang.String VM_ADD

  Emitted by a HostMXBean when a new VM is created The user data of the notification is the object name of the newly created virtual machine

  See Also:
    Constant Field Values

### VM_DEL

    static final java.lang.String VM_DEL

  Emitted by a HostMXBean when a VM has been destroyed The user data of the notification is the object name of the destroyed virtual machine.

  See Also:
    Constant Field Values

### VM_INVENTORY_DEL

    static final java.lang.String VM_INVENTORY_DEL

  Emitted by a HostMXBean when a VM has been deleted The user data of the notification is the object name of the deleted virtual machine.

  See Also:
    Constant Field Values

### VM_STATE_CHANGE

    static final java.lang.String VM_STATE_CHANGE

  Emitted by a VirtualMachineMXBean when the state of the VM changes The notification message has one of the following values:
  - RUNNING
  - HALTED
  - SUSPENDED
  - PAUSED
  - UNKNOWN

  See Also:
    Constant Field Values

### VM_MIGRATION

    static final java.lang.String VM_MIGRATION

  Emitted by a a VirtualMachineMXBean after a successful migration The notification message is set to the host name of the new host of the virtual machine.

  See Also:
    Constant Field Values

### VM_MIGRATION_START

    static final java.lang.String VM_MIGRATION_START

  Emitted by a a VirtualMachineMXBean when a migration is started The notification message is set to the host name of the target host to where the virtual machine is migrating

  See Also:
    Constant Field Values

### VM_MIGRATION_ABORT

    static final java.lang.String VM_MIGRATION_ABORT

  Emitted by a a VirtualMachineMXBean when a migration has failed The notification message is set to the host name of the target host of the migration

  See Also:
    Constant Field Values

### PERF_REPORT

    static final java.lang.String PERF_REPORT

  Emitted by a HostMXBean to report performance metrics

  See Also:
    Constant Field Values

### HYPERVISOR_CONNECTION_STATE

    static final java.lang.String HYPERVISOR_CONNECTION_STATE

  Emitted by a HostMXBean when the state of the driver-specific connection to the hypervisor changes

  See Also:
    Constant Field Values

### ERROR

    static final java.lang.String ERROR

  Emitted when an error occurs during an asynchronous operation

  See Also:
    Constant Field Values

### LOG

    static final java.lang.String LOG

  For debugging purposes only

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 OW2 Consortium. All Rights Reserved.